SynchToAsynchChannelFactoryAdaptor (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.SynchToAsynchChannelFactoryAdaptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class SynchToAsynchChannelFactoryAdaptor

    java.lang.Object
      org.activeio.adapter.SynchToAsynchChannelFactoryAdaptor

All Implemented Interfaces:
  AsynchChannelFactory

public class SynchToAsynchChannelFactoryAdaptor
extends java.lang.Object
implements AsynchChannelFactory

Version:
  $Revision$

Constructor Summary
`SynchToAsynchChannelFactoryAdaptor(SynchChannelFactory next)` Deprecated. `adapt(SynchChannelFactory)`
`SynchToAsynchChannelFactoryAdaptor(SynchChannelFactory next, EDU.oswego.cs.dl.util.concurrent.Executor executor)` Deprecated. `adapt(SynchChannelFactory, Executor)`

Method Summary
`static AsynchChannelFactory` | `adapt(SynchChannelFactory channelFactory)`
`static AsynchChannelFactory` | `adapt(SynchChannelFactory channelFactory, EDU.oswego.cs.dl.util.concurrent.Executor executor)`
`AsynchChannelServer` | `bindAsynchChannel(java.net.URI location)` Binds a server at the URI location.
`SynchChannelFactory` | `getSynchChannelFactory()`
`AsynchChannel` | `openAsynchChannel(java.net.URI location)` Opens a connection to server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchToAsynchChannelFactoryAdaptor

    public SynchToAsynchChannelFactoryAdaptor(SynchChannelFactory next)

  Deprecated. `adapt(SynchChannelFactory)`

### SynchToAsynchChannelFactoryAdaptor

    public SynchToAsynchChannelFactoryAdaptor(SynchChannelFactory next,
                                              EDU.oswego.cs.dl.util.concurrent.Executor executor)

  Deprecated. `adapt(SynchChannelFactory, Executor)`

Method Detail

### adapt

    public static AsynchChannelFactory adapt(SynchChannelFactory channelFactory)

### adapt

    public static AsynchChannelFactory adapt(SynchChannelFactory channelFactory,
                                             EDU.oswego.cs.dl.util.concurrent.Executor executor)

### openAsynchChannel

    public AsynchChannel openAsynchChannel(java.net.URI location)
                                    throws java.io.IOException

  Description copied from interface: `AsynchChannelFactory`
  Opens a connection to server.

  Specified by:
    `openAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### bindAsynchChannel

    public AsynchChannelServer bindAsynchChannel(java.net.URI location)
                                          throws java.io.IOException

  Description copied from interface: `AsynchChannelFactory`
  Binds a server at the URI location.

  Specified by:
    `bindAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### getSynchChannelFactory

    public SynchChannelFactory getSynchChannelFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.